# Business Documents

## Read Business Documents

> Get all business documents associated with a verification session. This helps in reviewing the documents submitted by the business for verification purposes.

```json
{"openapi":"3.1.0","info":{"title":"BeetleLabs","version":"1.0.0"},"servers":[{"url":"https://beetlelabs.ai/beetlelabs-verification","description":"Local development server"}],"paths":{"/business-documents/":{"get":{"tags":["Business Documents"],"summary":"Read Business Documents","description":"Get all business documents associated with a verification session. This helps in reviewing the documents submitted by the business for verification purposes.","operationId":"read_business_documents_business_documents__get","parameters":[{"name":"skip","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Skip"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}},{"name":"session_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Session Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BusinessDocumentResponse"},"title":"Response Read Business Documents Business Documents  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"BusinessDocumentResponse":{"properties":{"session_id":{"type":"string","format":"uuid","title":"Session Id"},"document_type":{"$ref":"#/components/schemas/BusinessDocumentType"},"document_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Document Number"},"document_url":{"type":"string","title":"Document Url"},"issue_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Issue Date"},"expiry_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Expiry Date"},"ocr_data":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ocr Data"},"verified":{"type":"boolean","title":"Verified","default":false},"verification_notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Verification Notes"},"id":{"type":"string","format":"uuid","title":"Id"},"uploaded_at":{"type":"string","format":"date-time","title":"Uploaded At"}},"type":"object","required":["session_id","document_type","document_url","id","uploaded_at"],"title":"BusinessDocumentResponse"},"BusinessDocumentType":{"type":"string","enum":["ARTICLES_OF_INCORPORATION","CERTIFICATE_OF_INCORPORATION","TAX_REGISTRATION","BUSINESS_LICENSE","BANK_STATEMENT","OTHER","DEEP_SEARCH","PR_SUMMARY"],"title":"BusinessDocumentType"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Create Business Document

> Upload business documents for KYB verification. This can include registration certificates, tax documents, or other official business papers. These documents are used to verify the legitimacy of the business.

```json
{"openapi":"3.1.0","info":{"title":"BeetleLabs","version":"1.0.0"},"servers":[{"url":"https://beetlelabs.ai/beetlelabs-verification","description":"Local development server"}],"paths":{"/business-documents/":{"post":{"tags":["Business Documents"],"summary":"Create Business Document","description":"Upload business documents for KYB verification. This can include registration certificates, tax documents, or other official business papers. These documents are used to verify the legitimacy of the business.","operationId":"create_business_document_business_documents__post","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessDocumentCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessDocumentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"BusinessDocumentCreate":{"properties":{"session_id":{"type":"string","format":"uuid","title":"Session Id"},"document_type":{"$ref":"#/components/schemas/BusinessDocumentType"},"document_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Document Number"},"document_url":{"type":"string","title":"Document Url"},"issue_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Issue Date"},"expiry_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Expiry Date"},"ocr_data":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ocr Data"},"verified":{"type":"boolean","title":"Verified","default":false},"verification_notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Verification Notes"}},"type":"object","required":["session_id","document_type","document_url"],"title":"BusinessDocumentCreate"},"BusinessDocumentType":{"type":"string","enum":["ARTICLES_OF_INCORPORATION","CERTIFICATE_OF_INCORPORATION","TAX_REGISTRATION","BUSINESS_LICENSE","BANK_STATEMENT","OTHER","DEEP_SEARCH","PR_SUMMARY"],"title":"BusinessDocumentType"},"BusinessDocumentResponse":{"properties":{"session_id":{"type":"string","format":"uuid","title":"Session Id"},"document_type":{"$ref":"#/components/schemas/BusinessDocumentType"},"document_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Document Number"},"document_url":{"type":"string","title":"Document Url"},"issue_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Issue Date"},"expiry_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Expiry Date"},"ocr_data":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ocr Data"},"verified":{"type":"boolean","title":"Verified","default":false},"verification_notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Verification Notes"},"id":{"type":"string","format":"uuid","title":"Id"},"uploaded_at":{"type":"string","format":"date-time","title":"Uploaded At"}},"type":"object","required":["session_id","document_type","document_url","id","uploaded_at"],"title":"BusinessDocumentResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## GET /business-documents/{document\_id}

> Read Business Document

```json
{"openapi":"3.1.0","info":{"title":"BeetleLabs","version":"1.0.0"},"servers":[{"url":"https://beetlelabs.ai/beetlelabs-verification","description":"Local development server"}],"paths":{"/business-documents/{document_id}":{"get":{"tags":["Business Documents"],"summary":"Read Business Document","operationId":"read_business_document_business_documents__document_id__get","parameters":[{"name":"document_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Document Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessDocumentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"BusinessDocumentResponse":{"properties":{"session_id":{"type":"string","format":"uuid","title":"Session Id"},"document_type":{"$ref":"#/components/schemas/BusinessDocumentType"},"document_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Document Number"},"document_url":{"type":"string","title":"Document Url"},"issue_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Issue Date"},"expiry_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Expiry Date"},"ocr_data":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ocr Data"},"verified":{"type":"boolean","title":"Verified","default":false},"verification_notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Verification Notes"},"id":{"type":"string","format":"uuid","title":"Id"},"uploaded_at":{"type":"string","format":"date-time","title":"Uploaded At"}},"type":"object","required":["session_id","document_type","document_url","id","uploaded_at"],"title":"BusinessDocumentResponse"},"BusinessDocumentType":{"type":"string","enum":["ARTICLES_OF_INCORPORATION","CERTIFICATE_OF_INCORPORATION","TAX_REGISTRATION","BUSINESS_LICENSE","BANK_STATEMENT","OTHER","DEEP_SEARCH","PR_SUMMARY"],"title":"BusinessDocumentType"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## PUT /business-documents/{document\_id}

> Update Business Document

```json
{"openapi":"3.1.0","info":{"title":"BeetleLabs","version":"1.0.0"},"servers":[{"url":"https://beetlelabs.ai/beetlelabs-verification","description":"Local development server"}],"paths":{"/business-documents/{document_id}":{"put":{"tags":["Business Documents"],"summary":"Update Business Document","operationId":"update_business_document_business_documents__document_id__put","parameters":[{"name":"document_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Document Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessDocumentUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessDocumentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"BusinessDocumentUpdate":{"properties":{"document_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Document Number"},"issue_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Issue Date"},"expiry_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Expiry Date"},"ocr_data":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ocr Data"},"verified":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Verified"},"verification_notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Verification Notes"}},"type":"object","title":"BusinessDocumentUpdate"},"BusinessDocumentResponse":{"properties":{"session_id":{"type":"string","format":"uuid","title":"Session Id"},"document_type":{"$ref":"#/components/schemas/BusinessDocumentType"},"document_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Document Number"},"document_url":{"type":"string","title":"Document Url"},"issue_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Issue Date"},"expiry_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Expiry Date"},"ocr_data":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ocr Data"},"verified":{"type":"boolean","title":"Verified","default":false},"verification_notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Verification Notes"},"id":{"type":"string","format":"uuid","title":"Id"},"uploaded_at":{"type":"string","format":"date-time","title":"Uploaded At"}},"type":"object","required":["session_id","document_type","document_url","id","uploaded_at"],"title":"BusinessDocumentResponse"},"BusinessDocumentType":{"type":"string","enum":["ARTICLES_OF_INCORPORATION","CERTIFICATE_OF_INCORPORATION","TAX_REGISTRATION","BUSINESS_LICENSE","BANK_STATEMENT","OTHER","DEEP_SEARCH","PR_SUMMARY"],"title":"BusinessDocumentType"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## DELETE /business-documents/{document\_id}

> Delete Business Document

```json
{"openapi":"3.1.0","info":{"title":"BeetleLabs","version":"1.0.0"},"servers":[{"url":"https://beetlelabs.ai/beetlelabs-verification","description":"Local development server"}],"paths":{"/business-documents/{document_id}":{"delete":{"tags":["Business Documents"],"summary":"Delete Business Document","operationId":"delete_business_document_business_documents__document_id__delete","parameters":[{"name":"document_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Document Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.beetlelabs.ai/business-documents.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
